# Season statistics

Last but not least: we offer **season statistics**. We calculate a wide range of stats for you like the number of matches, matches played, goals scored, clean sheets, yellow cards, average goals per minute, etc

![A snippet of season stats from the 2020/2021 season of the English Premier League](/files/-MPE6dbssPWHctOWEUjT)

To request this, you can use our season by id endpoint with the include `stats`**.** The response below will give you all the season statistics of the **Bundesliga 2019/2020 ( id: 16264) season.**

{% tabs %}
{% tab title="Request" %}

```javascript
https://soccer.sportmonks.com/api/v2.0/seasons/16264?api_token={API_TOKEN}&include=stats
```

{% endtab %}

{% tab title="Response" %}

```javascript
{
    "data": {
        "id": 16264,
        "name": "2019/2020",
        "league_id": 82,
        "is_current_season": false,
        "current_round_id": null,
        "current_stage_id": null,
        "stats": {
            "data": {
                "id": 1211,
                "season_id": 16264,
                "league_id": 82,
                "number_of_clubs": 18,
                "number_of_matches": 306,
                "number_of_matches_played": 306,
                "number_of_goals": 982,
                "matches_both_teams_scored": 178,
                "number_of_yellowcards": 1192,
                "number_of_yellowredcards": 35,
                "number_of_redcards": 20,
                "avg_goals_per_match": 3.21,
                "avg_yellowcards_per_match": 3.9,
                "avg_yellowredcards_per_match": 0.11,
                "avg_redcards_per_match": 0.07,
                "team_with_most_goals_id": 503,
                "team_with_most_goals_number": 100,
                "team_with_most_conceded_goals_id": 2642,
                "team_with_most_conceded_goals_number": 74,
                "team_with_most_goals_per_match_id": 503,
                "team_with_most_goals_per_match_number": 2.94,
                "season_topscorer_id": 31000,
                "season_topscorer_number": 34,
                "season_assist_topscorer_id": 30286,
                "season_assist_topscorer_number": 21,
                "team_most_cleansheets_id": 503,
                "team_most_cleansheets_number": 15,
                "goals_scored_minutes": {
                    "0-15": "12.41%",
                    "15-30": "13.43%",
                    "30-45": "15.06%",
                    "45-60": "20.85%",
                    "60-75": "17.29%",
                    "75-90": "24.42%"
                },
                "goalkeeper_most_cleansheets_id": 30642,
                "goalkeeper_most_cleansheets_number": 15,
                "goal_scored_every_minutes": 28,
                "btts": 58.17,
                "goal_line": {
                    "over": {
                        "0_5": 96.08,
                        "1_5": 85.62,
                        "2_5": 65.03,
                        "3_5": 41.5,
                        "4_5": 19.93,
                        "5_5": 9.48
                    },
                    "under": {
                        "0_5": 3.92,
                        "1_5": 14.38,
                        "2_5": 34.97,
                        "3_5": 58.5,
                        "4_5": 80.07,
                        "5_5": 90.52
                    }
                },
                "avg_corners_per_match": 10.1,
                "team_most_corners_count": 240,
                "team_most_corners_id": 503,
                "goals_conceded": {
                    "all": 1.6,
                    "home": 1.55,
                    "away": 1.66
                },
                "goals_scored": {
                    "all": 1.6,
                    "home": 1.66,
                    "away": 1.55
                },
                "win_percentage": {
                    "all": 38.89,
                    "home": 40.2,
                    "away": 37.58
                },
                "defeat_percentage": {
                    "all": 38.89,
                    "home": 37.58,
                    "away": 40.2
                },
                "draw_percentage": 22.22,
                "avg_homegoals_per_match": 1.66,
                "avg_awaygoals_per_match": 1.55,
                "avg_player_rating": 6.7,
                "updated_at": {
                    "date": "2020-11-10 08:15:24.000000",
                    "timezone_type": 3,
                    "timezone": "UTC"
                }
            }
        }
    },
```

{% endtab %}

{% tab title="Field Description" %}
**Season Field Description**

| Field               | Description                                                                       |
| ------------------- | --------------------------------------------------------------------------------- |
| `data`              | Opens an array of data you've requested                                           |
| `id`                | A unique season id                                                                |
| `name`              | The name of the season                                                            |
| `league_id`         | The unique league id the season belongs to                                        |
| `is_current_season` | Indicates if the season is the current one. Possible values are "true" or "false" |
| `current_round_id`  | The unique id of the current round                                                |
| `current_stage_id`  | The unique id of the current stage                                                |

**Season Stats Field Description**

| **Field**                               | Description                                                                                           |
| --------------------------------------- | ----------------------------------------------------------------------------------------------------- |
| `season_id`                             | The unique season id the stats belong to                                                              |
| `league_id`                             | The unique league id the stats belongs to                                                             |
| `number_of_clubs`                       | The number of clubs in the requested season                                                           |
| `number_of_matches`                     | The number of matches in the requested season                                                         |
| `number_of_matches_played`              | The number of matches played in the requested season                                                  |
| `number_of_goals`                       | The number of goals in the requested season                                                           |
| `matches_both_teams_scored`             | The number of times both teams scored in a match in the requested season                              |
| `number_of_yellowcards`                 | The number of yellow cards in the requested season                                                    |
| `number_of_yellowredcards`              | The number of yellow-red cards in the requested season                                                |
| `number_of_redcards`                    | The number of red cards in the requested season                                                       |
| `avg_goals_per_match`                   | The average goals per match in the requested season                                                   |
| `avg_yellowcards_per_match`             | The average yellow cards per match in the requested season                                            |
| `avg_yellowredcards_per_match`          | The average yellow-red cards per match in the requested season                                        |
| `avg_redcards_per_match`                | The average red cards per match in the requested season                                               |
| `team_with_most_goals_id`               | The unique team id of the team that scored the most goals in the requested season                     |
| `team_with_most_goals_number`           | The number of goals from the team that scored the most goals in the requested season                  |
| `team_with_most_conceded_goals_id`      | The unique team id of the team that conceded the most goals in the requested season                   |
| `team_with_most_conceded_goals_number`  | The number of conceded goals from the team that conceded the most goals in the requested season       |
| `team_with_most_goals_per_match_id`     | The unique team id of the team that scored the most goals per match in the requested season           |
| `team_with_most_goals_per_match_number` | The number of goals from the team that scored the most goals per match in the requested season        |
| `season_topscorer_id`                   | The unique player id of the player that scored the most goals in the requested season                 |
| `season_topscorer_number`               | The number of goals from the player that scored the most goals in the requested season                |
| `season_assist_topscorer_id`            | The unique player id of the player that assisted the most goals in the requested season               |
| `season_assist_topscorer_number`        | The number of assists from the player that assisted the most goals in the requested season            |
| `team_most_cleansheets_id`              | The unique team id of the team that has the most clean sheets in the requested season                 |
| `team_most_cleansheets_number`          | The number of clean sheets from the team that has the most clean sheets in the requested season       |
| `goals_scored_minute`                   | The total amount of goals in the season divided in minute periods                                     |
| `goalkeeper_most_cleansheets_id`        | The unique player id of the goalkeeper that has the most clean sheets in the requested season         |
| `goalkeeper_most_cleansheets_number`    | The number of clean sheets from the goalkeeper that has the most clean sheets in the requested season |
| `goal_scored_every_minutes`             | How many minutes per goal in the requested season                                                     |
| `btts`                                  | The amount of times both teams scored in percentage in the requested season                           |
| `goal_line`                             | The average goal line market in the requested season                                                  |
| `avg_corners_per_match`                 | The average amount of corners per game in the requested season                                        |
| `team_most_corners_count`               | The number of corners from the team that has the most corners in the requested season                 |
| `team_most_corners_id`                  | The unique team id of the team that has the most corners in the requested season                      |
| `goals_conceded`                        | The average amount of goals conceded in the requested season. Divided in all, home and away           |
| `goals_scored`                          | The average amount of goals scored in the requested season. Divided in all, home and away             |
| `win_percentage`                        | The average win percentage in the requested season. Divided in all, home and away                     |
| `defeat_percentage`                     | The average defeat percentage in the requested season. Divided in all, home and away                  |
| `draw_percentage`                       | The average draw percentage in the requested season                                                   |
| `avg_homegoals_per_match`               | The average amount of home goals per match in the requested season                                    |
| `avg_awaygoals_per_match`               | The average amount of away goals per match in the requested season                                    |
| `avg_player_rating`                     | The average player rating in the requested season                                                     |
| {% endtab %}                            |                                                                                                       |
| {% endtabs %}                           |                                                                                                       |

And that rounds up the tutorial about statistics.

{% hint style="info" %}
Interested in the detailed team or player level? Please note that you can use the below includes to add this information:

`stats.topscorer`, `stats.assisttopscorer`, `stats.mostcleansheetsteam`, `stats.mostcleansheetsgoalkeeper`, `stats.mostgoalsteam`, `stats.mostgoalspermatchteam`, `stats.mostconcededgoalsteam`, `stats.mostcornersteam`
{% endhint %}

\
\
In our next extra tutorial, we’re going to discuss standings.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/tutorials/statistics/season-statistics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
